<?php

namespace App\Controllers;

use App\Controllers\BaseController;
use App\LifeCycle\Request;
use App\Models\Comic;
use App\Models\Link;
use App\Response\Template;
use PDO;

class ComicDetailController extends BaseController
{
	public function handle(Request $request)
	{
		$uri = $request->route->item('uri');
		if ($results = Comic::comic($uri)->fetchAll(PDO::FETCH_ASSOC))
		{
			$comic = $results[0];
			Template::set('page.title', $comic['title']);
			$links = Link::links($comic['id'])->fetchAll(PDO::FETCH_ASSOC);
			Template::set('header.metaDescription', $comic['description']);
			$data = [
				'targetComic' => $comic,
				'targetComicLinks' => $links,
				'relatedComics' => Comic::related(
					$comic['id'],
					$comic['title'],
					$comic['description'],
					$comic['keywords']
				)->fetchAll(PDO::FETCH_ASSOC)
			];
			Template::loadWithCache('comic-detail', $data, $uri);
		}
		else
		{
			runController($request, CONTROLLER_ERROR_404);
		}
	}
}