<?php

namespace App\Controllers;

use App\Controllers\BaseController;
use App\LifeCycle\Request;
use App\Models\Comic;
use App\Response\Template;
use PDO;

class ComicListController extends BaseController
{
	public function handle(Request $request)
	{
		Template::set('page.title', 'Comics');
		$currentPage = intval($request->route->item('page'));
		$comics = Comic::list($currentPage)->fetchAll(PDO::FETCH_ASSOC);
		if ($currentPage)
		{
			Template::set('pagination.prev.include', true);
			Template::set('pagination.prev.value', ($currentPage > 1)
				? $currentPage - 1
				: ''
			);
		}
		if (count($comics) > config(CONFIG_SECTION_NAME_COMICS)['pageSize'])
		{
			Template::set('pagination.next.include', true);
			Template::set('pagination.next.value', (! $currentPage)
				? 1
				: $currentPage + 1
			);
		}
		array_pop($comics);
		Template::loadWithCache(
			'comic-list',
			['comicList' => $comics],
			$currentPage
		);
	}
}