<?php

namespace App\Controllers;

use App\Controllers\BaseController;
use App\Helpers\Hashes;
use App\LifeCycle\Request;
use App\Models\Contact;
use App\Response\Template;

class ContactController extends BaseController
{
	public function handleGet(Request $request)
	{
		Template::set('page.title', 'Contact');
		Template::set('contactTypes', config(CONFIG_SECTION_NAME_PAGES)['contact']['contactTypes']);
		Template::set('pageMetaTags', [
			['name' => 'submission-key', 'content' => config(CONFIG_SECTION_NAME_FORM_SUBMISSION_KEYS)['contactSubmissionKey']],
			['name' => 'submission-redirect', 'content' => '/contact/thanks']
		]);
		Template::set('scripts', ['/theme/js/contact.js']);
		Template::load('contact');
	}

	public function handlePost(Request $request)
	{
		if (($request->post->item('comment') > '')
			&& ($request->post->item('submissionKey') === config(CONFIG_SECTION_NAME_FORM_SUBMISSION_KEYS)['contactSubmissionKey'])
		)
		{
			Contact::insert([
				'submitted' => date('y-m-d'),
				'user_comments' => $request->post->item('comment'),
				'type' => $request->post->item('type'),
				'name' => $request->post->item('name'),
				'email' => $request->post->item('email'),
				'request_ip_hash' => Hashes::hash($request->server->item('REMOTE_ADDR')),
				'user_agent_hash' => Hashes::hash($request->server->item('HTTP_USER_AGENT'))
			]);
			echo json_encode(['result' => 'success']);
		}
		else
		{
			echo json_encode(['result' => 'error']);
		}
	}
}