<?php

namespace App\Controllers;

class GenerateController
{
	public static function generate($name, array $httpVerbs = [])
	{
		$controllerName = self::getControllerName($name);
		$controllerStub = [
			'<?php',
			'',
			'namespace App\Controllers;',
			'',
			'use App\LifeCycle\Request;',
			'use App\Models\Comic;',
			'use App\Response\Template;',
			'',
			"class $controllerName",
			'{',
		];
		foreach ($httpVerbs as $httpVerb)
		{
			$method = CONTROLLER_METHOD_BASE . ucwords($httpVerb);
			$controllerStub[] = '';
			$controllerStub[] = "	public function $method(Request \$request)";
			$controllerStub[] = '	{';
			$controllerStub[] = '	}';
		}
		$controllerStub[] = '}';
		return implode("\n", $controllerStub);
	}

	public static function getControllerName($name)
	{
		return str_replace(' ', '', ucwords($name) . 'Controller');
	}

	public static function writeController($name, $controllerStub)
	{
		file_put_contents(APP_CODE_PATH . 'Controllers/' . self::getControllerName($name) . '.php', $controllerStub);
	}
}