<?php

namespace App\Controllers;

use App\Controllers\BaseController;
use App\LifeCycle\Request;
use App\Models\Comic;
use App\Response\Template;
use PDO;

class SearchController extends BaseController
{
	public function handle(Request $request)
	{
		Template::set('page.title', 'Search');
		Template::load('search');
	}

	public function handlePost(Request $request)
	{
		Template::set('page.title', 'Search results');
		$searchTerm = $request->post->item('search');
		Template::set('searchTerm', $searchTerm);
		Template::set('searchResults', Comic::search($searchTerm)->fetchAll(PDO::FETCH_ASSOC));
		Template::load('search');
	}
}