<?php

namespace App\Database;

use PDO;

class CRUD
{
	public static function insert($table, array $fields)
	{
		$columns = [];
		$placeholders = [];
		$values = [];
		foreach ($fields as $name => $value)
		{
			$columns[] = $name;
			$placeholders[] = '?';
			$values[] = $value;
		}
		$sql = implode("\n", [
			"insert into $table",
			'(',
				implode(",\n", $columns),
			') values (',
				implode("\n,", $placeholders),
			')'
		]);
		dbQuery($sql, $values);
		return dbConnection()->lastInsertId();
	}
}