<?php

namespace App\Database;

use PDO;

class Connection
{
	protected static $connection = null;

	static function connect()
	{
		if (self::$connection)
		{
			return self::$connection;
		}
		$dbConfig = config(CONFIG_SECTION_NAME_DATABASE);
		return self::$connection = new PDO(
			$dbConfig['driver'] . ':'
			 . 'host=' . $dbConfig['host'] . ';'
			 . 'port=' . $dbConfig['port'] . ';'
			 . 'dbname=' . $dbConfig['database'],
			$dbConfig['user'],
			$dbConfig['password']
		);
	}

	static function execute($sql)
	{
		return self::connect()->exec($sql);
	}

	static function query($sql, array $data = [])
	{
		if (count($data))
		{
			$statement = self::connect()->prepare($sql);
			$statement->execute($data);
			return $statement;
		}
		else
		{
			return self::connect()->query($sql, PDO::FETCH_ASSOC);
		}
	}
}