<?php

namespace App\Database;

class MigrationIndexes
{
	const INDEX_TYPE_STANDARD = 'index';
	const INDEX_TYPE_PRIMARY_KEY = 'primary key';
	const INDEX_TYPE_UNIQUE = 'constraint unique index';

	protected static function buildIndex($names, $type = self::INDEX_TYPE_STANDARD)
	{
		return implode('', [
			$type, '(',
				is_array($names) ? implode(', ', $names) : $names,
			')'
		]);
	}

	public static function index($names)
	{
		return self::buildIndex($names, self::INDEX_TYPE_STANDARD);
	}

	public static function primaryKey($names)
	{
		return self::buildIndex($names, self::INDEX_TYPE_PRIMARY_KEY);
	}

	public static function unique($names)
	{
		return self::buildIndex($names, self::INDEX_TYPE_UNIQUE);
	}
}