<?php

namespace App\Database;

class MigrationNameManipulations
{
	public static function cleanMigrationName($migrationName)
	{
		return preg_replace('/[^a-z0-9 ]/', '', strtolower($migrationName));
	}

	public static function fileNameToClassName($fileName)
	{
		$nameOnly = pathinfo($fileName)['filename'];
		$nameSections = explode('-', $nameOnly);
		$timestamp = array_shift($nameSections);
		$migrationClassName = str_replace(' ', '', ucwords(implode(' ', $nameSections))) . '_' . $timestamp;
		return $migrationClassName;
	}

	public static function migrationNameToClassName($migrationName, $timestamp)
	{
		return str_replace(' ', '', ucwords($migrationName)) . '_' . $timestamp;
	}

	public static function migrationNameToFileName($migrationName, $timestamp)
	{
		return $timestamp . '-' . str_replace(' ', '-', strtolower($migrationName)) . '.php';
	}

	public static function timestampFromFileName($fileName)
	{
		return explode('-', $fileName)[0];
	}
}