<?php

namespace App\LifeCycle;

use App\LifeCycle\Request;
use App\Requests\SafeArray;
use App\Routing\RouteParser;

class Bootstrap
{
	protected static function getPost($contentType)
	{
		switch (strtolower($contentType))
		{
			case 'application/json':
				return json_decode(file_get_contents('php://input'));
			default:
				return $_POST;
		}
	}

	public static function boot()
	{
		$currentUri = RouteParser::extractCurrentUri();

		$currentRoute = RouteParser::match(
			config(CONFIG_SECTION_NAME_ROUTES),
			$currentUri
		);
		$server = new SafeArray($_SERVER);
		$controllerName = ($currentRoute)
			? $currentRoute->controllerName
			: 'Error404Controller';
		$request = new Request(
			($currentRoute)
				? $currentRoute->routeParameters
				: (new SafeArray([])),
			$server,
			new SafeArray($_GET),
			new SafeArray(self::getPost($server->item('CONTENT_TYPE')))
		);
		runController($request, $controllerName);
	}
}