<?php

namespace App\Models;

use App\Database\CRUD;

class Link
{
	protected static $table = 'links';

	public static function insert(array $fields)
	{
		CRUD::insert(self::$table, $fields);
	}

	public static function links($comicId)
	{
		$table = self::$table;
		$sql = "select * from $table where active = 1 and comic_id = ? order by weight desc";
		return dbQuery($sql, [$comicId]);
	}

	public static function linksMultipleComics(array $comicIds)
	{
		$table = self::$table;
		$ids = [];
		foreach ($comicIds as $id)
		{
			$ids[] = '?';
		}
		$in = implode(', ', $ids);
		$sql = "select * from $table where active = 1 and comic_id in ($in)";
		return dbQuery($sql, $comicIds);
	}
}