<?php

namespace App\Response;

use App\Response\TemplateCache;

class Template
{
	protected static $templateValues = [];

	protected static function valuesWithSettings()
	{
		return array_merge(
			config(CONFIG_SECTION_TEMPLATE_INIT),
			self::$templateValues
		);
	}

	public static function echo($value)
	{
		echo htmlspecialchars($value);
	}

	public static function get($name)
	{
		$values = self::valuesWithSettings();
		return array_key_exists($name, $values)
			? $values[$name]
			: '';
	}

	public static function load($templateName, array $data = [])
	{
		extract($data);
		include TEMPLATE_PATH . $templateName . '.php';
	}

	public static function loadWithCache($templateName, array $data = [], $uri = '')
	{
		TemplateCache::load($templateName, $data, $uri);
	}

	public static function print($name)
	{
		echo htmlspecialchars(self::get($name));
	}

	public static function set($name, $value)
	{
		self::$templateValues[$name] = $value;
	}
}