<?php

namespace App\Response;

class TemplateCache
{
	public static function load($templateName, array $data = [], $uri = '')
	{
		if (config(CONFIG_SECTION_NAME_CACHE)['templateEnabled'])
		{
			$cacheTemplatePath = TEMPLATE_CACHE_PATH
				. str_replace('/', '', $templateName)
				. ($uri ? ('-' . md5($uri)) : '')
				. '.html';
			if (is_file($cacheTemplatePath))
			{
				readfile($cacheTemplatePath);
			}
			else
			{
				ob_start();
				extract($data);
				include TEMPLATE_PATH . $templateName . '.php';
				file_put_contents($cacheTemplatePath, ob_get_flush());
			}
		}
		else
		{
			extract($data);
			include TEMPLATE_PATH . $templateName . '.php';
		}
	}
}