<?php

use App\Database\Migration;
use App\Database\MigrationFields as Fld;
use App\Database\MigrationFieldOptions as FldOpt;
use App\Database\MigrationIndexes as Idx;

class CreateComicsTable_1659240818 extends Migration
{
	public function migrate($dbConnection)
	{
		$this->createTable(
			'comics',
			[
				Fld::autoIncrement('id'),
				Fld::varchar('title'),
				Fld::varchar('uri'),
				Fld::varchar('filename'),
				Fld::date('created_on'),
				Fld::text('description'),
				Fld::text('keywords'),
				Fld::boolean('featured'),
				Fld::boolean('active')
			],
			[
				Idx::primaryKey('id'),
				Idx::index(['created_on, active']),
				Idx::index(['active', 'featured']),
				Idx::index('active', 'uri'),
				Idx::unique('uri')
			]
		);
	}
}