<?php

use App\Database\Migration;
use App\Database\MigrationFields as Fld;
use App\Database\MigrationFieldOptions as FldOpt;
use App\Database\MigrationIndexes as Idx;

class CreateLinksTable_1659244822 extends Migration
{
	public function migrate($dbConnection)
	{
		$this->createTable(
			'links',
			[
				Fld::autoIncrement('id'),
				Fld::bigInteger('comic_id'),
				Fld::varchar('title', [FldOpt::default('Merch')]),
				Fld::varchar('url'),
				Fld::text('description', [FldOpt::notNullable()]),
				Fld::tinyInteger('weight'),
				Fld::boolean('active')
			],
			[
				Idx::primaryKey('id'),
				Idx::index(['comic_id', 'active', 'weight'])
			]
		);
	}
}