<?php

use App\Database\Migration;
use App\Database\MigrationFields as Fld;
use App\Database\MigrationFieldOptions as FldOpt;
use App\Database\MigrationIndexes as Idx;

class CreateContactsTable_1659569282 extends Migration
{
	public function migrate($dbConnection)
	{
		$this->createTable('contacts',
			[
				Fld::autoIncrement('id', Fld::SIZE_BIG_INTEGER),
				Fld::date('submitted', [FldOpt::now()]),
				Fld::text('user_comments'),
				Fld::varchar('type'),
				Fld::varchar('name', [FldOpt::nullable()]),
				Fld::varchar('email', [FldOpt::nullable()]),
				Fld::varchar('request_ip_hash'),
				Fld::varchar('user_agent_hash'),
				Fld::boolean('was_read'),
				Fld::boolean('was_sent'),
				Fld::text('my_comments', [FldOpt::nullable()])
			],
			[
				Idx::primaryKey('id'),
				Idx::index(['was_sent', 'was_read', 'submitted'])
			]
		);
	}
}