(function () {
	function getVal(elementId) {
		return document.getElementById(elementId).value;
	}

	const contactForm = document.querySelector('[data-form="contact"]'),
		contactTypeSelector = document.getElementById('type'),
		nameInput = document.getElementById('name'),
		emailInput = document.getElementById('email');

	contactForm.addEventListener('submit', function (event) {
		event.preventDefault();
		const submissionKey = document.querySelector('meta[name="submission-key"]').getAttribute('content');
		const form = new XMLHttpRequest,
			data = JSON.stringify({
				comment: getVal('comment'),
				email: getVal('email'),
				name: getVal('name'),
				submissionkey: submissionKey,
				type: getVal('type')
			});
		form.onload = function () {
			window.location.href = document.querySelector('meta[name="submission-redirect"]').getAttribute('content');
		}
		form.open('post', contactForm.getAttribute('action'));
		form.setRequestHeader('Content-Type', 'application/json');
		form.send(data);
	});

	contactTypeSelector.addEventListener('change', function () {
		if (this.value == 'Copyright concern') {
			nameInput.setAttribute('required', 'required');
			emailInput.setAttribute('required', 'required');
		} else {
			nameInput.removeAttribute('required');
			emailInput.removeAttribute('required');
		}
	});
}());