<?php

require_once('./.server-code-paths.php');
require_once(BASE_CODE_PATH . 'helpers.php');

use App\Database\GenerateMigration;
use App\Database\MigrationNameManipulations;

if ($migrationName = MigrationNameManipulations::cleanMigrationName(readline('Migration name: ')))
{
	$migrationType = readline('Migration stub 1) generic 2) comic: ');
	switch ($migrationType)
	{
		case '1':
			$migrationTypeConst = GenerateMigration::MIGRATION_TYPE_GENERIC;
			break;
		case '2':
			$migrationTypeConst = GenerateMigration::MIGRATION_TYPE_COMIC;
			break;
		default:
			$migrationTypeConst = '';
	}
	if ($migrationTypeConst)
	{
		$timestamp = time();
		$migrationStub = GenerateMigration::generate($migrationName, $timestamp, $migrationTypeConst);
		GenerateMigration::writeMigration($migrationName, $timestamp, $migrationStub);
		echo "\nMigration '$migrationName' generated\n";
	}
	else
	{
		echo "\nNothing done.\n";
	}
}
else
{
	echo "\nName is required. Nothing done.\n";
}