<?php

require_once('./.server-code-paths.php');
require_once(BASE_CODE_PATH . 'helpers.php');
require_once(BASE_CODE_PATH . 'includes-email.php');

use App\Models\Contact;
use App\Models\FailedJob;

foreach ($contacts = Contact::getNextUnsent() as $contact)
{
	try
	{
		sendNotification(
			'scottk.net Contact submission ' . $contact['type'],
			buildHtmlMessage($contact),
			$contact['email'],
			$contact['name']
		);
		echo "\nSent\n";
		Contact::markRead($contact['id']);
	}
	catch (Exception $e)
	{
		echo "\nError\n";
		FailedJob::insert(
			'new contact submission',
			__FILE__,
			$e,
			$contact
		);
	}
}