<?php
	use App\Response\Template as T;
	T::load('common/header');
?>

<section class="comic-detail justify-items section-margin">
	<figure class="justify-items-item-large">
		<h1><?php T::echo($targetComic['title']); ?></h1>
		<img src="<?php echo T::get('comicFolders')['large'] . $targetComic['filename']; ?>">
		<figcaption><?php T::echo($targetComic['description']); ?></figcaption>
	</figure>
	<?php if ($targetComicLinks): ?>
		<aside class="justify-items-item-small semantic-list">
			<p>Enjoyed this comic? Want to support this type of content?</p>
			<ul>
				<?php foreach ($targetComicLinks as $link): ?>
					<li class="text-large"><a href="<?php echo $link['url']; ?>"><?php T::echo($link['title']); ?></a></li>
				<?php endforeach; ?>
			</ul>
		</aside>
	<?php endif; ?>
</section>

<section class="section-margin">
	<h2>Other comics you may enjoy</h2>
	<nav class="semantic-list">
		<ul class="thumb-list">
			<?php foreach ($relatedComics as $comic): ?>
				<?php T::load('comics/thumb', ['comic' => $comic]); ?>
			<?php endforeach; ?>
		</ul>
	</nav>
</section>
<section>
	<nav class="center text-large">
		<a href="<?php echo T::get('routes')['comicListPage']; ?>">View the full list</a>
	</nav>
</section>

<?php T::load('common/footer'); ?>