<?php
	use App\Response\Template as T;
	if ($pageTitle = T::get('page.title'))
	{
		$title = T::get('site.name') . ' - ' . $pageTitle;
	}
	else
	{
		$title = T::get('site.name');
	}
?>
<!doctype html>
<html class="no-js" lang="en">

<head>
	<meta charset="utf-8">
	<title><?php T::echo($title); ?></title>
	<meta name="description" content="<?php T::print('header.metaDescription'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php
		if ($metaTags = T::get('pageMetaTags')):
			foreach ($metaTags as $tag):
				echo '<meta name="' . $tag['name'] . '" content="' . $tag['content'] . '">';
			endforeach;
		endif;
	?>

	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@300&display=swap" rel="stylesheet">
	<link rel="stylesheet" href="/theme/css/styles.css">
</head>

<body>
	<div data-top-container>
		<header class="header-main always-justify-items fixed padding-standard">
			<div class="justify-items">
				<div class="left">
					<a href="/" class="logo"><img src="/theme/img/logo.svg" alt="comics.scottk.net logo"><span>comics.scottk.net</span></a>
				</div>
				<div class="right">
					<form action="/search" class="search-form" method="post">
						<input name="search"><button class="button button-submit" type="submit">Search</button>
					</form>
				</div>
		</div>
		</header>
		<main class="padding-standard">